TSEARCH(3)

NOM
tsearch, tfind, tdelete, twalk, tdestroy - Manipulation d'arbre binaire

SYNOPSIS
#include <search.h>

void *tsearch(const void *key, void **rootp,
                int(*compar)(const void *, const void *));

void *tfind(const void *key, const void **rootp,
                int(*compar)(const void *, const void *));

void *tdelete(const void *key, void **rootp,
                int(*compar)(const void *, const void *));

void twalk(const void *root, void(*action) (const void *nodep,
                                   const VISIT which,
                                   const int depth));

#define _GNU_SOURCE
#include <search.h>

void tdestroy(void *root, void (*free_node)(void *nodep));

DESCRIPTION
tsearch(), tfind(), twalk() et tdelete() permettent de manipuler un arbre binaire. Ces fonctions implémentent une généralisation de l'algorithme T de Knuth (6.2.2). Le premier membre de chaque n